datan

## Class MinAsy

- java.lang.Object
- - datan.MinAsy

-     public final class MinAsy
      extends java.lang.Object

  A class determining the asymmetric errors for a set of parameters determined by minimization.
  Author:
    Siegmund Brandt.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MinAsy(DatanVector x0, DatanMatrix cx, DatanUserFunction muf)`
    `MinAsy(DatanVector x0, int[] list, DatanMatrix cx, DatanUserFunction muf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[][]` | `getAsymmetricErrors(double fcont)`
    `boolean` | `hasConverged()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MinAsy

          public MinAsy(DatanVector x0,
                int[] list,
                DatanMatrix cx,
                DatanUserFunction muf)

      Parameters:
        `x0` - position of minimum.
        `cx` - covariance matrix at x0.
        `list` - array containing the elements of a list specifying which of the n variables are fixed (list element = 0) and which are adjustable (list element = 1).
        `muf` - user function which must be an extension of the abstract class DatanUserFunction.

    - #### MinAsy

          public MinAsy(DatanVector x0,
                DatanMatrix cx,
                DatanUserFunction muf)

      Parameters:
        `x0` - position of minimum (all elements of list are set to 1).
        `cx` - covariance matrix at x0.
        `muf` - user function which must be an extension of the abstract class DatanUserFunction.

  - ### Method Detail

    - #### getAsymmetricErrors

          public double[][] getAsymmetricErrors(double fcont)

      Parameters:
        `fcont` - value of minimum function at postion of errors (right/hand side of eq. (10.17.9).
      Returns:
        the asymmetric errors. Element [i][0] is negativer deviation, element [i][1] is positive deviation of the (non-fixed) parameter x[i].

    - #### hasConverged

          public boolean hasConverged()

      Returns:
        true if iteration successful, false otherwise.